class Jr < Formula
  desc "CLI program that helps you to create quality random data for your applications"
  homepage "https://jrnd.io/"
  url "https://github.com/ugol/jr/archive/refs/tags/v0.3.7.tar.gz"
  sha256 "30e431bbce6382f49d555028e6120c394580f74f81b46022f18890d5bd379963"
  license "MIT"
  head "https://github.com/ugol/jr.git", branch: "main"

  depends_on "go" => :build

  def install
    system "make", "all"
    libexec.install Dir["build/*"]
    pkgetc.install "config/jrconfig.json"
    pkgetc.install "templates"
    (bin/"jr").write_env_script libexec/"jr", JR_HOME: pkgetc
  end

  test do
    assert_match "net_device", shell_output("#{bin}/jr template list").strip
  end
end
